GNU logs - #36749, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36749: Cannot install Hyperbole: "Bad request"
Resent-From: o.rojon@HIDDEN
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 21 Jul 2019 16:48:01 +0000
Resent-Message-ID: <handler.36749.B.156372767226587 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 36749
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 36749 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.156372767226587
          (code B ref -1); Sun, 21 Jul 2019 16:48:01 +0000
Received: (at submit) by debbugs.gnu.org; 21 Jul 2019 16:47:52 +0000
Received: from localhost ([127.0.0.1]:59382 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpF02-0006uj-61
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 12:47:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:54787)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <o.rojon@HIDDEN>) id 1hpEpm-0006fO-4I
 for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 12:37:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:36628)
 by lists.gnu.org with esmtp (Exim 4.86_2)
 (envelope-from <o.rojon@HIDDEN>) id 1hpEpl-00060I-9K
 for bug-gnu-emacs@HIDDEN; Sun, 21 Jul 2019 12:37:14 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-2.8 required=5.0 tests=BAYES_05,RCVD_IN_DNSWL_MED,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <o.rojon@HIDDEN>) id 1hpEpk-0001eZ-C5
 for bug-gnu-emacs@HIDDEN; Sun, 21 Jul 2019 12:37:13 -0400
Received: from mout01.posteo.de ([185.67.36.65]:57442)
 by eggs.gnu.org with esmtps (TLS1.0:DHE_RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <o.rojon@HIDDEN>) id 1hpEpj-0001cy-S5
 for bug-gnu-emacs@HIDDEN; Sun, 21 Jul 2019 12:37:12 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 2E87816005D
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Jul 2019 18:37:08 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1563727029; bh=NJeeLYb0BOtz3jbsw1ohz0XGVQJOLoln6uX8GTY0lKI=;
 h=Date:From:To:Subject:From;
 b=SwWkT8ZCg4Mr89VewtjCQScjUhqeGWn8s4QhEaWD5nMf9rqTiWuJ9JNGoe3Vk+zbg
 rBv8g1+NJ4dnilJFjfQMa9T8RugdC+7aXb/3O+sTDCA3Iv+K3Kv1qLds+dvH34KmHU
 rKn/O8Cu62P42T8kx4YuV0dHyYnXOe1cwHrj9u+8wslQzueZ7F3FG7zkLxbnGnuefp
 +wZ0NYQRwi38f0NEsuKU0OtlkeP6aORkxXqgebft0cnT/0qlp28Z7s2IYgYeQLi6nM
 +TZtb2WSeE7A3NVnBMbSWAtjV30lfYhFSy7S0yaH0yIMRsGJbSy3AuQjG7kOU822D4
 frlH9tD1+IFnw==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 45s9Pc1qSzz6tm5
 for <bug-gnu-emacs@HIDDEN>; Sun, 21 Jul 2019 18:37:08 +0200 (CEST)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Sun, 21 Jul 2019 18:37:08 +0200
From: o.rojon@HIDDEN
Message-ID: <2bb34070e6679d0458189e4b265b9ce3@HIDDEN>
X-Sender: o.rojon@HIDDEN
User-Agent: Posteo Webmail
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Received-From: 185.67.36.65
X-Spam-Score: -1.3 (-)
X-Mailman-Approved-At: Sun, 21 Jul 2019 12:47:48 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello,

what the "subject" says. I am unable to install gnu hyperbole. Whenever 
I do try, I get a "bad request". Also, so far, I was unable to download 
the tar from the archive.

Greetings,
Olivier




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: o.rojon@HIDDEN
Subject: bug#36749: Acknowledgement (Cannot install Hyperbole: "Bad request")
Message-ID: <handler.36749.B.156372767226587.ack <at> debbugs.gnu.org>
References: <2bb34070e6679d0458189e4b265b9ce3@HIDDEN>
X-Gnu-PR-Message: ack 36749
X-Gnu-PR-Package: emacs
Reply-To: 36749 <at> debbugs.gnu.org
Date: Sun, 21 Jul 2019 16:48:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 36749 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
36749: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D36749
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36749: Cannot install Hyperbole: "Bad request"
Resent-From: Noam Postavsky <npostavs@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 21 Jul 2019 16:54:02 +0000
Resent-Message-ID: <handler.36749.B36749.156372799127063 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36749
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: o.rojon@HIDDEN
Cc: 36749 <at> debbugs.gnu.org
Received: via spool by 36749-submit <at> debbugs.gnu.org id=B36749.156372799127063
          (code B ref 36749); Sun, 21 Jul 2019 16:54:02 +0000
Received: (at 36749) by debbugs.gnu.org; 21 Jul 2019 16:53:11 +0000
Received: from localhost ([127.0.0.1]:59387 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpF5D-00072Q-Cr
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 12:53:11 -0400
Received: from mail-io1-f46.google.com ([209.85.166.46]:39206)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hpF5B-00072C-Ba
 for 36749 <at> debbugs.gnu.org; Sun, 21 Jul 2019 12:53:09 -0400
Received: by mail-io1-f46.google.com with SMTP id f4so68812439ioh.6
 for <36749 <at> debbugs.gnu.org>; Sun, 21 Jul 2019 09:53:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=sFgzcLeT9wKAyeq/JjYeSzBwf3G8U5GUo9wqz3V2ggs=;
 b=Ly5RHxf+aUUZqcyCf85D4oBFXDFVpifOMbzZ25kjmC+yRsLHCIQWiQ+Gz3t+cF7hfS
 CUX3/Lz4lBJUsu8adav1q2CnAIgQcxuRDVWnc9jH5JH7vCLaw72mrOLVDC1rWCwbvc8J
 UrRkXBCYUSi9zmr8nPi16NBDYTsBfnChtur5Lwg+0vsaGb8O4LXV63c7z2QSIQNx1rSG
 F//eR6bvzqX9gmDmcK0RjPMtmNJc6/ZQLxSpXlnHhcH1F3Xbk4I7vZdFx1q2mNsj/H7c
 dAVeAd/WcvYgWG3vxdinrTo7/vLYMBvuuNKqjdHDtizky0oPiQMKr61hOlxUGT8kEEef
 7vSw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=sFgzcLeT9wKAyeq/JjYeSzBwf3G8U5GUo9wqz3V2ggs=;
 b=cZzqhrMGqwUtTZGVVxjF4OrIaGpBuLonYpuz25b6Qq3AUuEIyjSbFyznFG8ZMEyDuz
 LqPy/+oRTdRpz20qax9Nvafp2uzkw0j5imU/sPz1pUUxKZMnA4+gAHKz7SL3aay/hu5+
 +D4pMTuUbKMiwwF/qGAJoJEeMfmyQYONSLZo05E5iBO+Ov1vGgDTEWIBiu/vksK94+zS
 W8Qj8aFfOO0cg1f87SEA3aNr3ktkPwu56imAY4szo/y2TFfmEE7mH6VIrxHVJoferP9t
 aHrpS1+RIvswlcRbLp63Z9ZyeRHrCm8u9lwGyYdH3QVhllrnRtXJAmrruNvzn29jrNBR
 IyrA==
X-Gm-Message-State: APjAAAXfsRiBrHe/E8v2GZxHRvne4igRVuy+W9XFRy3MYB3BxBUeR19n
 +61hyWvTEVIqgm7VUGv612bIZM95
X-Google-Smtp-Source: APXvYqyF+wsywFGD6+4PqVMd6gn26i/uau+AUhdKtLmBwZOoxEqynUn0JL3qDLydnyOLrz6ysUexfw==
X-Received: by 2002:a02:1c0a:: with SMTP id c10mr70305226jac.69.1563727983504; 
 Sun, 21 Jul 2019 09:53:03 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 d25sm30891187iom.52.2019.07.21.09.53.02
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 21 Jul 2019 09:53:02 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
References: <2bb34070e6679d0458189e4b265b9ce3@HIDDEN>
Date: Sun, 21 Jul 2019 12:53:02 -0400
In-Reply-To: <2bb34070e6679d0458189e4b265b9ce3@HIDDEN> (o. rojon's message
 of "Sun, 21 Jul 2019 18:37:08 +0200")
Message-ID: <874l3fxrbl.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.2.90 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

o.rojon@HIDDEN writes:

> what the "subject" says. I am unable to install gnu
> hyperbole. Whenever I do try, I get a "bad request". Also, so far, I
> was unable to download the tar from the archive.

Does (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") and/or using
Emacs version 26.2.90 pretest help?

See also https://debbugs.gnu.org/36725#8




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#36749: Cannot install Hyperbole: "Bad request"
Resent-From: o.rojon@HIDDEN
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 21 Jul 2019 19:52:02 +0000
Resent-Message-ID: <handler.36749.B36749.15637386985549 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 36749
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Noam Postavsky <npostavs@HIDDEN>
Cc: 36749 <at> debbugs.gnu.org
Received: via spool by 36749-submit <at> debbugs.gnu.org id=B36749.15637386985549
          (code B ref 36749); Sun, 21 Jul 2019 19:52:02 +0000
Received: (at 36749) by debbugs.gnu.org; 21 Jul 2019 19:51:38 +0000
Received: from localhost ([127.0.0.1]:59547 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpHrt-0001RR-NH
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 15:51:38 -0400
Received: from mout01.posteo.de ([185.67.36.65]:52080)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <o.rojon@HIDDEN>) id 1hpFN9-0007TW-Gj
 for 36749 <at> debbugs.gnu.org; Sun, 21 Jul 2019 13:11:44 -0400
Received: from submission (posteo.de [89.146.220.130]) 
 by mout01.posteo.de (Postfix) with ESMTPS id 253B916005F
 for <36749 <at> debbugs.gnu.org>; Sun, 21 Jul 2019 19:11:37 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=posteo.net; s=2017;
 t=1563729097; bh=vx1yeljv2P5jVw+NbPsi/2JUiN14s4aaZrq60WIoj5o=;
 h=Date:From:To:Cc:Subject:From;
 b=EEYvmtm1UZ3yew2iB8M1IcsLAURb6Kf5N6QniYfqhxvZdf4c2Qch38xxPdGT9EJ07
 SyGMJYH3yWYyQRFoE61hmN24zSmmgxMSBtEeZvH06vMeJp6pvff9jOq0xphGbR4Pqe
 c5/i12H6lX5ov5f7UEabWuzQemEYnjfsAWkE4qpD5iKaUqc9elGHQ6dNye/C+Jk8Nu
 BtScMQLmURl3tgNjadASkIyVsrQavF7SHY6k/EP78GLhjCaGq0SeLn2Fy9J2IcAxUN
 IthuUGP4+7Gcg23OxTja2WzSnLqLsomA15f5yea5KLqJHMhtWkQC9zUsBGggGavMnl
 N5wo/v/+7U+xA==
Received: from customer (localhost [127.0.0.1])
 by submission (posteo.de) with ESMTPSA id 45sB9N0qnxz6tmB;
 Sun, 21 Jul 2019 19:11:36 +0200 (CEST)
MIME-Version: 1.0
Content-Type: text/plain; charset=US-ASCII;
 format=flowed
Content-Transfer-Encoding: 7bit
Date: Sun, 21 Jul 2019 19:11:36 +0200
From: o.rojon@HIDDEN
In-Reply-To: <874l3fxrbl.fsf@HIDDEN>
References: <2bb34070e6679d0458189e4b265b9ce3@HIDDEN>
 <874l3fxrbl.fsf@HIDDEN>
Message-ID: <7f2342e042cb25e5be43a084dfcb3818@HIDDEN>
X-Sender: o.rojon@HIDDEN
User-Agent: Posteo Webmail
X-Spam-Score: -2.3 (--)
X-Mailman-Approved-At: Sun, 21 Jul 2019 15:51:37 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello Noam,

actually, (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") did the 
trick for me.

Thank you so much for the answer!

On 21.07.2019 18:53, Noam Postavsky wrote:
> o.rojon@HIDDEN writes:
> 
>> what the "subject" says. I am unable to install gnu
>> hyperbole. Whenever I do try, I get a "bad request". Also, so far, I
>> was unable to download the tar from the archive.
> 
> Does (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3") and/or 
> using
> Emacs version 26.2.90 pretest help?
> 
> See also https://debbugs.gnu.org/36725#8




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 22 Jul 2019 00:59:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jul 21 20:59:14 2019
Received: from localhost ([127.0.0.1]:59750 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hpMfa-0004gO-LZ
	for submit <at> debbugs.gnu.org; Sun, 21 Jul 2019 20:59:14 -0400
Received: from mail-io1-f43.google.com ([209.85.166.43]:40716)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hpMfZ-0004gB-Fm
 for control <at> debbugs.gnu.org; Sun, 21 Jul 2019 20:59:13 -0400
Received: by mail-io1-f43.google.com with SMTP id h6so70246067iom.7
 for <control <at> debbugs.gnu.org>; Sun, 21 Jul 2019 17:59:13 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=mys5+vbL2UyuCF5NPCb/JA/EGqj9yTmyqc2JYpGFsDk=;
 b=E1cTOQYsIpZa865UHaxEUzcoe13n+mu5uiwj+PCsfM1IPqTPRaiBuhu3iYcel6dy+h
 0pNq1tKpz6oMyLscj4VWRFe2VHq/fLnU3tQUZyl4Fqew+xXzMPZQYJnifdvAjGjWvM1t
 L+hb7q00kSlUmTbeZxIrdUksMb1Cz/NoDs4Lp4YtmwBVEumvihKCLWld/nbbkw2/Zakr
 Vs/+YQh19wEHos2sxcQzaC917/6ZtLnyqPWJ1Wo0vksw5eBtbagIJd43LqtdMhvscE2r
 LXptZZTpfxvQrKVRLdDzsr4nYgW4daOqSMSZYWQZHoxuQpelaq0zmfkNWmbwbNxKmw9E
 g2iA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=mys5+vbL2UyuCF5NPCb/JA/EGqj9yTmyqc2JYpGFsDk=;
 b=gEiROMQsYvFkZ47XEYtERwBSW8GA8VTqpNw02pTBsvjIkzrxybECaCBja24Q9PFD2Q
 B6bNSDxK0PnQzuPEaUZ0TI/mS2RP+nZe0mHdccj4AO+J4iaCXF6ggRW+JpWj/Z7K6xoy
 +bdgCfHTOS7040cl7qRpr1NUbx9/kd2DRsX9kraJdCgdDoUsT3A3wmXfTV1Em7QOZzUR
 NRBAdymQ3MUg5n6nhxTRkNI9jbuXJ8Kdw8lBZio1bG4txMnUh6ccjyOnRVzy4H2tzZBk
 k19f37S6tgcGB9Amy30kXBBblMquyVa3Mihj8d9Md/1Nf7OMp3XeCrJnbOMyPZ2nmmGM
 b3gQ==
X-Gm-Message-State: APjAAAVsOzR+HULwMyLFmubEgmaX8gS3PfBFJ3Z/ogEcaSu7N/hysAy3
 7YpT/BG1QgsJz0gQywyQfrMy3LKm
X-Google-Smtp-Source: APXvYqxhZi62j861bEJ9bWITC2U+C86Y119CDnZlwu3CjLxpoc/m3UxGiopN6jTYTp3NCqJxsVDjCA==
X-Received: by 2002:a6b:bc42:: with SMTP id m63mr47844352iof.189.1563757147694; 
 Sun, 21 Jul 2019 17:59:07 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 e188sm32674386ioa.3.2019.07.21.17.59.07 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Sun, 21 Jul 2019 17:59:07 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: control <at> debbugs.gnu.org
Subject: control message for bug #36749
Date: Sun, 21 Jul 2019 20:59:06 -0400
Message-ID: <8736iyyjdx.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 36749 36725
quit





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 25 Jul 2019 17:35:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 13:35:34 2019
Received: from localhost ([127.0.0.1]:40379 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqheP-0004SJ-OR
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 13:35:34 -0400
Received: from mail-io1-f41.google.com ([209.85.166.41]:34702)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hqheN-0004S1-L8; Thu, 25 Jul 2019 13:35:32 -0400
Received: by mail-io1-f41.google.com with SMTP id k8so99023690iot.1;
 Thu, 25 Jul 2019 10:35:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=t5iBu+IstshpZFPRW0nMRPW2ZcoRM4Mkzlc5Z+kkNfc=;
 b=kS8vFkpjD4EHSDW/vZwvp3Qhpxb212BGoMpXcV1135PdmYuwP2SM7kWas99RgP1zvI
 yrKTmXlW2Y7Mrj5pP4hEAwuSsHlsTJ4n8jOZpKAHm1WLjxX/Hj57lP8yGazcIXhUjgng
 5MESMVt7c3vgrljV8vsqmTTvcOC/2wUSXlmcaZWDaXN+uAqIPP2J8QClfWFIUHv/heu7
 TyeeWdrKKqCwrnyMIPt+D9Rn6QwUzKqcin59VHukeYEsMGxxRl6p8O0vk0IKSf6dq1U6
 wTEONFfmivr/zZ8+DkXZAyM2RZMob/hvIrJCbhq4u+vInN8yJ5RbWRvip1V4qrGDHk0h
 J8ig==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=t5iBu+IstshpZFPRW0nMRPW2ZcoRM4Mkzlc5Z+kkNfc=;
 b=LxmnK2oynxG4lL2c+nC+RuyDvU06rbC3LPhpmZVlbjNanvjeJAqilzQO+uf7mn1Y7e
 3+epfu4cLgGb24PeeS0PbVx+CtdlA4OEXvufstMBfU3WOr+h8Gv5Kx12JKIm3/ZVolaF
 IN1UMPOfX8axTe3dYd3dVImMEnIwCDxmiOi5z8Bs5tuzztmpOQKwQm82Jw+7e5m6I6eM
 i1Th6GGxhXm3dlBYOQL+JaYP+ffkB4a1Lxpyadkq1nSAvWsSzU++PC8Si4eqxDprpqLJ
 iOdxdcDDsoVo4QXyBa2BkWnUDw1ceRQKOJkzKru3D5+CK3EDl00jvumcLsp0pBc8KePX
 2Cgw==
X-Gm-Message-State: APjAAAUkcxdFH6QoWvGmU7RcYAWz5MndEiIGjGdeR36ufpMfp+OzpHuK
 NrVBUAaAfplVE2oTdxkgUugc97yJ
X-Google-Smtp-Source: APXvYqwXENR1p6LTESYPM/s0+wh7PJTc2/gBak+uj5DCGkToljr7D+ZkxxMQUqu196ypqmJcgHrDxg==
X-Received: by 2002:a5d:928a:: with SMTP id s10mr56957849iom.29.1564076125901; 
 Thu, 25 Jul 2019 10:35:25 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.51.196])
 by smtp.gmail.com with ESMTPSA id j14sm42525809ioa.78.2019.07.25.10.35.25
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 25 Jul 2019 10:35:25 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: gnu@HIDDEN
Subject: Re: bug#36810: 26.2; package.el;
 package-refresh-contents, Bad Request (http over https)
References: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
Date: Thu, 25 Jul 2019 13:35:25 -0400
In-Reply-To: <2e1fffbb-6826-628a-e598-fcdb3ce9d89b@HIDDEN>
 (gnu@HIDDEN's message of "Thu, 25 Jul 2019 17:42:57 +0100")
Message-ID: <85ef2ej9uq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 36810 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 36810 36725
quit

gnu@HIDDEN writes:

> Replicate with:
> emacs -Q
> M-x package-initialize RET
> M-x set-variable RET debug-on-error RET t RET
> package-refresh-contents
> => Debugger entered--Lisp error: (file-error
> "https://elpa.gnu.org/packages/archive-contents" "Bad Request")
>
> In wireshark I observe a TLS1.2 session with elpa.gnu.org, terminated
> from localhost, then another connection established to port 443 on
> elpa.gun.org but no TLS setup and then a straight HTTP GET request (for
> /packages/archive-contents).
> Server responds 400 (Bad Request):
> "Your browser sent a request that this server could not understand.
> Reason: You're speaking plain HTTP to an SSL-enabled server port."

I believe this is another case of Bug#36725/36749/34341.  It should work
in 26.2.90 pretest.  As a workaround, doing

    (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")

seems to help (it somehow affects the timing so as to avoid the bug).




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 25 Jul 2019 22:40:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jul 25 18:40:11 2019
Received: from localhost ([127.0.0.1]:40576 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hqmPD-0003rg-FI
	for submit <at> debbugs.gnu.org; Thu, 25 Jul 2019 18:40:11 -0400
Received: from mail-io1-f44.google.com ([209.85.166.44]:44270)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>) id 1hqmPA-0003rP-UF
 for control <at> debbugs.gnu.org; Thu, 25 Jul 2019 18:40:09 -0400
Received: by mail-io1-f44.google.com with SMTP id s7so100604729iob.11
 for <control <at> debbugs.gnu.org>; Thu, 25 Jul 2019 15:40:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:subject:date:message-id:mime-version;
 bh=8vDZ5Q62usjAzLkE+Lz91GY5WNbUthqfZV5WfK4g8F8=;
 b=Xzg64KfufSMV232fGSyF+Hs7wo+/VSzRi4pkrJfHtp2UX9VXa0JSIKfuIRpq55jV5b
 0O8YvlQsqZ+vgO5a3W3VgzQRsA+WHueFRjNbxjPHY8xpVKpeXgi20Fmf81lj9rkoM1oO
 3R5e9qn+/3h/dJ5zi5pZGMvwd8WsZ8y8z3NEsIdDpGI/cIBawNpCB6MBPmHDi6K+MnF4
 g8NGlOD5H7EZckoGM1po+OWbKhe0hQ7/W6Il9pQ+9Mpk7U+GlLNiiP+hY5iBbI+Ckuh6
 okBZRPb9Z+RIB30Vzx1h9jGoJeJXqB1OG6QjgQc09qa0x6zwUmCBAJAndNslFUz/5KiO
 vIZw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:subject:date:message-id:mime-version;
 bh=8vDZ5Q62usjAzLkE+Lz91GY5WNbUthqfZV5WfK4g8F8=;
 b=l7gRKsCYYJpfhDqvHO9S3Hth/E3HgmBOF63hcKOoxHvXKvcpwcG0g4+FxIM6Lg69mV
 UXrXD3LNk4u2onLQsR80AW+MumhfrJLjfdMZWvuV8Cxtlf9hJh0r2GQfRUaUASE931jT
 n/oWy9Wcub4VATFuvovTOlMTpAYFSurNDSyvEjXo+HQf8L0C0geW0yaUERxLisXATORc
 Ofvsw4kL9+fRcuWZ4uoY9N+OSkE4yWYsWcCjw5uhnVVFpwDpGbacmDym2S+hQCZPdx2w
 m6V6t1nsbdrFje89bYh6FvPH+lzB+fpf2YiM1gMTWkW8VDIoHYtUgBrkSdohCN/lFvbX
 JvIg==
X-Gm-Message-State: APjAAAUe45CkS19C/mnYTj068p7B51uWbBl2vbuPI96qMn2tpPD5vAkC
 eUo/UfL3G7pLK0lOFPKApQN5LqZa
X-Google-Smtp-Source: APXvYqznFI7qhz8aepDcBDhzrfoVZsjfrs2na+99C5CffOMRLgEZSVfcIgS9B2PvAvGqmsdNbEKTbQ==
X-Received: by 2002:a5d:9bc6:: with SMTP id d6mr14857362ion.160.1564094403360; 
 Thu, 25 Jul 2019 15:40:03 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 n26sm37428913ioc.74.2019.07.25.15.40.02 for <control <at> debbugs.gnu.org>
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Thu, 25 Jul 2019 15:40:02 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: control <at> debbugs.gnu.org
Subject: control message for bug #36810
Date: Thu, 25 Jul 2019 18:40:02 -0400
Message-ID: <87wog5viv1.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

fixed 36810 26.2.90
quit





Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 31 Jul 2019 14:16:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 10:16:58 2019
Received: from localhost ([127.0.0.1]:52840 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hspPW-0006eb-AH
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 10:16:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51314)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>)
 id 1hspPV-0006Zu-Fc; Wed, 31 Jul 2019 10:16:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49622)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1hspPQ-00040O-2w; Wed, 31 Jul 2019 10:16:52 -0400
Received: from [176.228.60.248] (port=4456 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1hspPP-00051X-4C; Wed, 31 Jul 2019 10:16:51 -0400
Date: Wed, 31 Jul 2019 17:16:42 +0300
Message-Id: <83h872i911.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Thorbjoern Willoch <TWilloch@HIDDEN>
In-reply-to: <a2009c53-e294-5d8e-1880-a72d80dddbf2@HIDDEN> (message
 from Thorbjoern Willoch on Wed, 31 Jul 2019 10:43:38 +0000)
Subject: Re: bug#36873: 26.1; Cannot install pacakges from elpa.gnu.org
References: <a2009c53-e294-5d8e-1880-a72d80dddbf2@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
Cc: 36873 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

merge 36873 36725
thanks

See https://debbugs.gnu.org/cgi/bugreport.cgi?bug=36810#11 for a
possible solution.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 31 Jul 2019 14:18:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 10:18:01 2019
Received: from localhost ([127.0.0.1]:52847 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hspQX-0007C9-6t
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2019 10:18:01 -0400
Received: from mail-io1-f41.google.com ([209.85.166.41]:43630)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1hspQS-0007Bq-Pl; Wed, 31 Jul 2019 10:17:57 -0400
Received: by mail-io1-f41.google.com with SMTP id k20so136572566ios.10;
 Wed, 31 Jul 2019 07:17:56 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=vRLvaA6h+mwcetTP2TBjwK0oD9F5MbZ6FCYtpOnNiVY=;
 b=pxF6ugRY0eURsHRMvNhyw+rRfFmSj6gUtxMIIuDCwk22nnwzKvXODxH7w0EjrS5dpO
 9OozZfWX4eSY8+9fr0WltBshfkcCzubnsoU1uwLNYuBfvVVvCUP2dm4onsIAXs3o4pY9
 7Asz6va+bwRst3xtt+7akZCqkitcatA4GtuNIwcEGs/u4ieHKXIF8aGZAzZp1Mo8Z4tB
 pc7UDd2UsmePpEa9z8CuxK8SjzRdMsiInU1/CAhksfvYQN4mMh+5eo4ckCiZZZ8Lh96G
 aqtpQXNQ7YfzeuKu3S5OM0lqPalqJE7OTqgm2P2xHN3QWT4IW4pRXBPkZwD3A+SFQOJS
 T0ZQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=vRLvaA6h+mwcetTP2TBjwK0oD9F5MbZ6FCYtpOnNiVY=;
 b=mkUM750vMMR189AajmYJldUo1JjoHWXldu0yTreQFmKl6LST+7MS+0+e9BDPl7ZL85
 MVTXu+2lZwVfXGUs7t6+ILMzh93htaQgTt9BeWuK6e7d2xCf+x+wZOnQpsUqNXF2WHzb
 zJ0CEntq1Io/pk4dK8CEQjNcAD7dvd1mg0dtHTD01hRJH/3G3RAXx7yGvg8MGPoEvRnx
 TjeE/5H4q7HCzLCwvWAtELYbYqxYItSpk6CwpTyqI0DanTIiAtCnaFBfsGJZ3DACnLFw
 /wc8y12YHd0AIcJHEHetXntSSpV2JAhM0ejEvSXL0Sm32UoELBjzSR1+6uhMEQUFWkrC
 Oa8g==
X-Gm-Message-State: APjAAAXRHChWS66HFAGn1/EooLGiAx9U+bLDRkGPCAed4BjY9BMpvFIw
 xaE54ipWcTsU59g9RDijmJawqmGC
X-Google-Smtp-Source: APXvYqz3LEz5G011gzAHcXAWrIPAgm0hkbifhPP2RmPanMyhRa4ix+3Xpn39bMDpgXEEJgEo/ChLyg==
X-Received: by 2002:a02:b710:: with SMTP id g16mr34038630jam.88.1564582671059; 
 Wed, 31 Jul 2019 07:17:51 -0700 (PDT)
Received: from vhost2
 (CPE001143542e1f-CMf81d0f809fa0.cpe.net.cable.rogers.com. [99.230.51.196])
 by smtp.gmail.com with ESMTPSA id y20sm52983163iol.34.2019.07.31.07.17.50
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 31 Jul 2019 07:17:50 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: Thorbjoern Willoch <TWilloch@HIDDEN>
Subject: Re: bug#36873: 26.1; Cannot install pacakges from elpa.gnu.org
References: <a2009c53-e294-5d8e-1880-a72d80dddbf2@HIDDEN>
Date: Wed, 31 Jul 2019 10:17:51 -0400
In-Reply-To: <a2009c53-e294-5d8e-1880-a72d80dddbf2@HIDDEN>
 (Thorbjoern Willoch's message of "Wed, 31 Jul 2019 10:43:38 +0000")
Message-ID: <85lfwe47ao.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.1.92 (windows-nt)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 36873 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

merge 36873 36810
quit

Thorbjoern Willoch <TWilloch@HIDDEN> writes:

> M-x package-install RET svg RET
> gets error : https://elpa.gnu.org/packages/svg-1.0.el: Bad Request

This is fixed in 26.2.90 (the pretest for 26.3), you can use

    (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")

as a workaround.




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 19 Sep 2019 01:50:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 18 21:50:53 2019
Received: from localhost ([127.0.0.1]:54997 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iAlav-0007LE-CU
	for submit <at> debbugs.gnu.org; Wed, 18 Sep 2019 21:50:53 -0400
Received: from mail-io1-f52.google.com ([209.85.166.52]:36513)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <npostavs@HIDDEN>)
 id 1iAlat-0007Ku-9A; Wed, 18 Sep 2019 21:50:51 -0400
Received: by mail-io1-f52.google.com with SMTP id b136so3957489iof.3;
 Wed, 18 Sep 2019 18:50:51 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=bSZQNxaY6d4NUl2lEKopB+NZ30L0Pf+H1/CkWpbvKQg=;
 b=ubVZAfddL2+64+3Vr9iG/0vRNQwM28Vl4+Aa8/3Wen3TLjpNnGtb/4ly738S/ZEsct
 SUVUDJ+yq5tzTq4UzZmRt1kEXGt/1/kNvSTxNsXBY8DAn4bDomNb3Mao8gj7IZZxoLKq
 //e5sjagTfGwcsd6gxluRA/CQuBygkaH39LZ5+PICe0Ky6mnTbXBfBSrUno+cCpMlg1Q
 T8tn4vThY79XSKHNlnenT+eUlACnQ5hV8AGKEC/IXRyw+ScQgT5jydZimTBCXrJnTDOp
 sju/tt/vPcGrfVE8nuDGaUaD1vQzFflqG11/1E5nwuV/v37dvz8nbMbR10cmJ6tmg+AA
 tuwQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=bSZQNxaY6d4NUl2lEKopB+NZ30L0Pf+H1/CkWpbvKQg=;
 b=nWIJioGSGa1Y5tbxu5lvSp5WsDdhpTgmJfJnqlyYdTPmpIX3eK5X5hiktgf6hk4zwX
 j0KQRvZMuqiuWxe5FRmqbfZktT4BJJXa316PcEN8hWKHTFoacxBgXFWifNtIHZs24ugn
 vsK9Tjx0j8oh3e96creW9TvSWvcmMGsVNUaIRK3kah+yb1g42nk687V88sP++4cUOVo/
 tyt9oCRvVMnAqxi0+TfXKViZRTzqeLTzM3on/qQW6RQ3XxjkzSmtcFsDuEx/3oNl0VvZ
 C8EkyridLo5hduwyaBhMvTHkUoqePacMvZBjF0eRk0Sr4stCfBtAXAKxnq00B1dCtM7Y
 HO5w==
X-Gm-Message-State: APjAAAUnTiyWc3u/dxOnI/8Ulhl/aLmOWVZbuZ5OBeoMhg1zS5gbceFk
 tiyWD0bdZwUEdUTZv5vrBlr9xi6p
X-Google-Smtp-Source: APXvYqz2WcO4AlcBd/VXD+E5NqUwqK1to5cjo/RmcFLh9cpb8pUzeU9/79mBcQJ5blWV2fwuIiBqXQ==
X-Received: by 2002:a02:9009:: with SMTP id w9mr8732810jaf.112.1568857845329; 
 Wed, 18 Sep 2019 18:50:45 -0700 (PDT)
Received: from minid (cbl-45-2-119-34.yyz.frontiernetworks.ca. [45.2.119.34])
 by smtp.gmail.com with ESMTPSA id
 a14sm1870759ioo.85.2019.09.18.18.50.43
 (version=TLS1_2 cipher=ECDHE-RSA-CHACHA20-POLY1305 bits=256/256);
 Wed, 18 Sep 2019 18:50:44 -0700 (PDT)
From: Noam Postavsky <npostavs@HIDDEN>
To: worik <root@HIDDEN>
Subject: Re: bug#37453: Cannot connect to elpa
References: <aa3ee338-701f-b751-9683-ebebcbd96c3d@HIDDEN>
Date: Wed, 18 Sep 2019 21:50:43 -0400
In-Reply-To: <aa3ee338-701f-b751-9683-ebebcbd96c3d@HIDDEN> (worik's message
 of "Thu, 19 Sep 2019 11:16:51 +1200")
Message-ID: <874l199hqk.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: control
Cc: 37453 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

forcemerge 36873 37453
quit

worik <root@HIDDEN> writes:

> https://elpa.gnu.org/packages/spinner-1.7.3.el: Bad Request

Upgrade to 26.3, or else try

    (setq gnutls-algorithm-priority "NORMAL:-VERS-TLS1.3")

as a workaround.





Last modified: Thu, 19 Sep 2019 02:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.